/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.moduleacquisition.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.moduleacquisition.entity.ModuleBlockVersion;

import java.util.List;

@MyBatisMapper
public interface ModuleBlockVersionMapper extends BaseMapper<ModuleBlockVersion> {
    ModuleBlockVersion findMaxVersion();
    List<ModuleBlockVersion> findAllVersion();

    ModuleBlockVersion findById(ModuleBlockVersion moduleBlockVersion);

    ModuleBlockVersion findByName(ModuleBlockVersion moduleBlockVersion);
}